function g=golay(fil,ser)

%golay Filtering according to Savitzky-Golay method.
%      golay(FIL,SER) yields vector SER filtered with the matrix FIL.
%      FIL matrix is computed by means of the command 'cgolay'.
       
   [m n]=size(fil);
   c=fix(m/2)+1;
   [l n]=size(ser);
   res=ser;
   for i=c:l-c+1;
      res(i)=fil(:,c)'*ser(i-c+1:i+c-1);
   end;
   for i=1:c-1;
      res(i)=fil(:,i)'*ser(1:m);
      res(l-i+1)=fil(:,m-i+1)'*ser(l-m+1:l);
   g=res;
   end
